# Forthic

Forthic is a stack-based language for making apps tweakable.

## Documentation

For a brief overview of Forthic, see [OVERVIEW.md](https://github.com/linkedin/forthic/blob/main/docs/OVERVIEW.md).
The [SYNTAX.md](https://github.com/linkedin/forthic/blob/main/docs/SYNTAX.md) file shows what the language looks like, including a brief overview of some of the standard global Forthic words.
The [IDIOMS.md](https://github.com/linkedin/forthic/blob/main/docs/IDIOMS.md) file gives pointers on how to use Forthic the way it was designed to be used.
The [ARCHITECTURE.md](https://github.com/linkedin/forthic/blob/main/docs/ARCHITECTURE.md) file shows how Forthic interpreters can work within apps.

Forthic modules are documented in the [modules](https://github.com/linkedin/forthic/tree/main/forthic-py/docs) directory.

### YouTube

There are several YouTube videos for learning Forthic

-   [Coding Forthic with Rino](https://www.youtube.com/@codingforthic) goes over some of the example applications
-   [Learning Forthic](https://www.youtube.com/playlist?list=PLSnCkfp4FIBQJEM9SNeGLjt_VrPrHMzQF) teaches Forthic using [Forthix Jira Plugins](https://marketplace.atlassian.com/vendors/1225195/forthix-llc) and Jupyter notebooks.

### Articles

-   [Forthic How To](https://forthix.com/category/how-to/)
-   [LinkedIn Article on how to use the Jira module](https://www.linkedin.com/pulse/hello-forthic-abdul-sheik)
-   [Categorical Coding](https://forthix.com/category/categorical-coding/)
